<template>

    <main>
        <p> Recherche des article? </p>
        <input type="text" v-model="input" placeholder="Vous cherchez quelques-choses..?" >

        <button> Recherche </button>

        {{ input }}
    </main>

</template>

<script setup lang="ts">
import type { Article } from "@/entities";
import { onMounted, ref, watch } from "vue";
import { useRoute } from "vue-router";
import { fetchIdCategoArticles } from '@/service/article-service';
import { fetchSearchAllArticles } from '@/service/article-service';


let input = ref("");
const route = useRoute();
const articles = ref<Article[]>([]);
//const article =  ref<Article>();

// watch(() => route.params.id, async () =>{
//     articles.value = await fetchIdCategoArticles(route.params.id);
// }, {immediate:true});




</script>

<style scoped>
main{
    background-color: rgb(188, 208, 209);

    margin: 3rem;
}

p{
    font-size: 30px;
}

input{
    width: 5rem;
    font-size: 2rem;

}
</style>